For brand new installations, is it necessary to step through updates to the current version?

  • 1
  • Question
  • Updated 4 years ago
  • Answered
Setting up a new ZD1100. This one arrived w.9.4.0 on board, while 9.6.x is current. Is it really necessary to step through 9.4.2, 9.4.3, 9.5.2, 9.6.0, 9.6.x, or can I just go straight to 9.6.x?
Photo of Eric Anderson

Eric Anderson

  • 2 Posts
  • 0 Reply Likes

Posted 4 years ago

  • 1
Photo of Rahul Koul

Rahul Koul, Employee

  • 76 Posts
  • 13 Reply Likes
Hi Eric,

I would suggest to follow the below upgrade path to upgrade the ZD to 9.6.1.0.15 (MR1):

9.4.0.0.110 >> 9.4.2.0.29 >> 9.5.2.0.15 >> 9.6.1.0.15
Photo of Eric Anderson

Eric Anderson

  • 2 Posts
  • 0 Reply Likes
An abbreviated path is better, but is it necessary at all for a brand new installation with no data having been loaded in the ZD? Couldn't we just go straight to 9.6.1.0.15, or whatever the newest version is at the time and load data from there forward?
Photo of Rahul Koul

Rahul Koul, Employee

  • 76 Posts
  • 13 Reply Likes
No you do not need to following all the steps. It depends on what version of software is present on your ZD and accordingly you can follow a step by step upgrade path (can be found in the Release notes) to upgrade to the latest version. For instance, if your ZD was on 9.5.1.0.50 or 9.5.2.0.15 etc then you could have directly upgraded to 9.6.1.0.15. However, if your ZD was on 9.1.2.0.8 then you have to again follow an upgrade path and you cannot go straight to 9.6.1.0.15. It's always a good step to check with our Support team or use our Support Forums before you want to do a software upgrade if you have any doubts :)

I hope this answers your question.
Photo of Raghu Dendukuri

Raghu Dendukuri, Employee

  • 1 Post
  • 0 Reply Likes
Here is some data around upgrade/downgrade rules: A bit developer terminology but should give better clarity:
====

ZD upgrade and downgrade rules are as following:

1. About ZD upgrade:
a. ZD didn’t support any version upgrade to any version, ZD only support upgrade to some version from other version which is defined in “controller/ac/REQUIRE_VERSIONS” in this new branch.
(Generally, ZD support two version upgrade. For example, 9.1/9.2 can upgrade to 9.3, 9.2/9.3 can upgrade to 9.4, 9.3/9.4 can upgrade to 9.5. but some small version can’t support. )
For example in 9.3.1.0, it define: 9.1.0.0 9.1.0.3 9.1.1.0 9.1.2.0 9.2.0.0 9.3.0.0 in “controller/ac/REQUIRE_VERSIONS”, so only those version can supported to upgrade to 9.3.1.0.
b. When upgrade, ZD will do the migration process.
If ZD can match the whole old version to current version in ZD’s etc/migration. It will do the process in it. Otherwise, it will match the front two version number.
For example, if we upgrade 9.1.0.3 to 9.3.1.0, ZD will do migration in 9.1.0.3-9.3.1.0/db_upg, if we didn’t build 9.1.0.3-9.3.1.0 in ZD’s image, ZD will do migration in 9.1.0.0-9.3.0.0/db_upg.
2. About ZD downgrade:
a. If ZD upgrade from one old version to new version, then downgrade to the old version, ZD can use the old version’s configuration or set factory.
b. If ZD downgrade to other version, ZD only can chose set factory, and now ZD can downgrade to any version, and no limit.